import 'package:flutter/material.dart';
import 'package:flutter_mylibrary/http/exception/http_error.dart';

class RequestInfo{


  String url = '';

  var data;

  String method;

  dynamic Function(Map map) handleRes;

  bool useLoadMore;

  bool publicMethod;

  HttpError Function(dynamic data) validateError;

  RequestInfo.values({
    @required this.url,
    @required this.method,
    this.data,
    @required this.handleRes,
    this.useLoadMore = true,
    this.publicMethod = false,
    this.validateError
  });

  RequestInfo.defaultValue();

}